(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
    typeof define === 'function' && define.amd ? define('@nonoll/code-snippet/math', ['exports'], factory) :
    (global = global || self, factory((global.nonoll = global.nonoll || {}, global.nonoll['code-snippet'] = global.nonoll['code-snippet'] || {}, global.nonoll['code-snippet'].math = {})));
}(this, (function (exports) { 'use strict';

    /**
     * 최대 공약수(greatest common divisor) 반환
     * @memberof module:math
     * @function
     * @param {Number} a
     * @param {Number} b
     * @returns {Number}
     */
    var gcd = function (a, b) {
        if (!b) {
            return a;
        }
        return gcd(b, a % b);
    };

    /**
     * 최소 공배수(least common multiple) 반환
     * @memberof module:math
     * @function
     * @param {Number} a
     * @param {Number} b
     * @returns {Number}
     */
    var lcm = function (a, b) {
        return a * b / gcd(a, b);
    };

    /**
     * width : height 로 css padding-top 비율(%) 반환<br/>
     * css padding에 의한 비율 계산이 필요할 경우 사용
     * @memberof module:math
     * @function
     * @param {Number} width
     * @param {Number} height
     * @returns {IRatio}
     */
    var sizePercentRatio = function (_a) {
        var width = _a.width, height = _a.height;
        var w = Math.round(width);
        var h = Math.round(height);
        var ratio = {
            width: w,
            height: h,
            ratio: ((height / width) * 100).toFixed(2)
        };
        return ratio;
    };

    /**
     * width : height 비율 반환
     * @memberof module:math
     * @function
     * @param {Number} width
     * @param {Number} height
     * @returns {IRatio}
     */
    var sizeRatio = function (_a) {
        var width = _a.width, height = _a.height;
        var gcdValue = gcd(width, height);
        var w = width / gcdValue;
        var h = height / gcdValue;
        var ratio = {
            width: w,
            height: h,
            ratio: w + "x" + h
        };
        return ratio;
    };

    ;
    ;

    exports.gcd = gcd;
    exports.lcm = lcm;
    exports.sizePercentRatio = sizePercentRatio;
    exports.sizeRatio = sizeRatio;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=nonoll-code-snippet-math.umd.js.map
